/*
    Copyright (C) 2012  Leonardo Pozzati
    This file is part of MetastableRandWalk.

    MetastableRandWlak is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    MetastableRandWalk is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Nome-Programma.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "libSys.h"

using namespace std;

//
//FUNZIONI DI SISTEMA
//

//fornisce il nome della directory di lavoro
string getcwd() {
	char result[ 1024 ];
	return string( getcwd( result, sizeof( result ) ) );
}

//controlla l'esistenza di cartella
int exists(string cartella) {
	struct stat st;
	if(stat(cartella.c_str(),&st) == 0) {
		return 1;
	} else
		return 0;
}

//crea una directory
void myMkdir(string nome_cartella) {
	mkdir(nome_cartella.c_str(), 0777 & ~022 & 0777);
}
