/*
    Copyright (C) 2012  Leonardo Pozzati
    This file is part of MetastableRandWalk.

    MetastableRandWlak is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    MetastableRandWalk is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Nome-Programma.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _MYLIBPRINT_H
#define _MYLIBPRINT_H

#include <map>
#include <utility>
#include <fstream>
#include <string>


					//ROUTINE DI STAMPA//
void frDensPrint(std::ofstream &outFile,
				 std::map<unsigned long,
						  std::pair <unsigned long, unsigned long > >
				 frCountVsNorm,
				 unsigned long trapped,
				 unsigned long tempo);

void crDensPrint(std::ofstream &outFile,
				 std::map<unsigned long,
						  std::pair <unsigned long, unsigned long > >
				 crCountVsNorm,
				 unsigned long trapped,
				 unsigned long tempo);

void reportPrint(std::ofstream &outFile,
				 std::map<std::string, std::string> param,
				 time_t simSeed,
				 long time,
				 std::string label1,
				 unsigned long var1,
				 std::string label2,
				 unsigned long var2);

#endif
